import request from '@/utils/request'

/**
 * 框-信息分页查询
 * @param {查询条件} data
 */
export function listOdfFrames(query) {
  return request({
    url: 'business/OdfFrames/list',
    method: 'get',
    params: query,
  })
}

/**
 * 新增框-信息
 * @param data
 */
export function addOdfFrames(data) {
  return request({
    url: 'business/OdfFrames',
    method: 'post',
    data: data,
  })
}
/**
 * 修改框-信息
 * @param data
 */
export function updateOdfFrames(data) {
  return request({
    url: 'business/OdfFrames',
    method: 'PUT',
    data: data,
  })
}
/**
 * 获取框-信息详情
 * @param {Id}
 */
export function getOdfFrames(id) {
  return request({
    url: 'business/OdfFrames/' + id,
    method: 'get'
  })
}

/**
 * 删除框-信息
 * @param {主键} pid
 */
export function delOdfFrames(pid) {
  return request({
    url: 'business/OdfFrames/delete/' + pid,
    method: 'POST'
  })
}
